## Interface Swift_CharacterReader

(line 18)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/CharacterReader.php

##### Analyzes characters for a specific character set.

- author: - Chris Corbyn
- author: - Xavier De Cock <xdecock@gmail.com>

## Class Variables

Summary:

## Class Constants

Summary:
MAP_TYPE_FIXED_LEN
MAP_TYPE_INVALID
MAP_TYPE_POSITIONS

#### MAP_TYPE_FIXED_LEN = 0x02 (line 21)

#### MAP_TYPE_INVALID = 0x01 (line 20)

#### MAP_TYPE_POSITIONS = 0x03 (line 22)

## Method Detail

Summary:
int getCharPositions (string $string, int $startOffset, &$currentMap, &$ignoredChars, array $currentMap, mixed $ignoredChars)
int getInitialByteSize ()
void getMapType ()
int validateByteSequence (int[] $bytes, $size)

#### Method getCharPositions (line 33)

#### int getCharPositions( string $string, int $startOffset, &$currentMap, &$ignoredChars, array $currentMap, mixed $ignoredChars)

##### Returns the complete charactermap

#### Parameters

- string $string:
- int $startOffset:
- array $currentMap:
- mixed $ignoredChars:
- &$currentMap:
- &$ignoredChars:

#### Info

- access - public

#### Method getInitialByteSize (line 58)

#### int getInitialByteSize( )

##### Returns the number of bytes which should be read to start each character.

For fixed width character sets this should be the number of octets-per-character. For multibyte character sets this will probably be 1.

#### Info

- access - public

#### Method getMapType (line 39)

#### void getMapType( )

##### Returns mapType

#### Info

- access - public

#### Method validateByteSequence (line 50)

#### int validateByteSequence( int[] $bytes, $size)

##### Returns an integer which specifies how many more bytes to read.

A positive integer indicates the number of more bytes to fetch before invoking this method again. A value of zero means this is already a valid character. A value of -1 means this cannot possibly be a valid character.

#### Parameters

- int[] $bytes:
- $size:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:17 +0000 by phpDocumentor 1.4.3